$(function(){
	var btnT = '#go2top';
	var btnB = '#go2bottom';
	var element = document.documentElement;
	
	$(btnT).hide();
	if (element.scrollHeight - element.clientHeight < 100)
	{
		$(btnB).hide();
	}

	$(window).scroll(function(){
		if ($(this).scrollTop() > 200) {
			$(btnT).fadeIn();
		} else {
			$(btnT).stop().fadeOut();
		}
	});

	$(btnT).click(function(){
		$('html, body').animate({scrollTop:0},'fast');
		return false;
	});
	
	$(btnB).click(function(){
		var bottom = element.scrollHeight - element.clientHeight;
		$('html, body').animate({scrollTop:bottom},'fast');
		return false;
	});

});
